import { CookieStorageAttributes } from '../interfaces/attributes.interface';
import { StorageStrategy } from '../interfaces/strategy.interface';
export declare class CookieStorage implements StorageStrategy {
    private readonly _isSupported;
    constructor();
    get<T = any>(token: string): T;
    set<T = any>(token: string, value: T, attributes?: CookieStorageAttributes): void;
    remove(token: string, attributes?: CookieStorageAttributes): void;
    clear(attributes?: CookieStorageAttributes): void;
    isSupported(): boolean;
    private all;
    private encode;
    private decode;
    private jsonParse;
    private stringifyCookie;
    private stringifyAttribute;
    private testIfSupported;
}
